<template>
  <div class="item" v-bind:class="{ completed: item.completed }">
    <h2>{{ item.title }}</h2>
    <button v-if="!item.completed" @click="changeIsCompleted(item.id)">
      Zrobione
    </button>
    <button v-else @click="changeIsCompleted(item.id)">
      Jednak nie zrobione
    </button>
    <button v-show="item.completed" @click="deleteItem(item.id)">
      Usuń z listy
    </button>
    <div class="edit" v-show="!item.completed">
      <input type="text" v-model="newTitle" value="newTitle" />
      <button @click="editTitle(item.id)">Edytuj</button>
    </div>
  </div>
</template>

<script>
export default {
  props: ["item"],
  data() {
    return {
      newTitle: "",
    };
  },
  methods: {
    changeIsCompleted() {
      this.$emit("changeIsCompleted", this.item.id);
    },
    deleteItem() {
      this.$emit("deleteItem", this.item.id);
    },
    editTitle() {
      this.$emit("editTitle", this.item.id, this.newTitle);
      this.newTitle = "";
    },
  },
};
</script>

<style></style>
